Скачать NANOCAD Pдгы 8.5
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Как получить геодезическую таблицу?

Как получить геодезическую таблицу?

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 13.07.2007, 09:30
Как получить геодезическую таблицу?
MAJKL.BY
 
Мурманская обл
Регистрация: 22.03.2007
Сообщений: 9

MAJKL.BY вне форума Вставить имя

Кто нибудь знает, как получить геодезическую таблицу с координатами, растояниями и дирекционными углами? Исходные данные - указанная полилиния.
Просмотров: 13467
 
Непрочитано 27.08.2008, 11:38
#21
mvz

Генпланист, AutoCad 2009 Eng
 
Регистрация: 26.06.2008
Москва
Сообщений: 24


Мне нужно собирать точки в заданной мною последовательности.
В результате нужно получить таблицу с данными по массивам (координаты и т.д.).
Т.е. было бы удобно, если бы не только выбор "Полилиния", а и выбор "Точка" выводился в Exel. (А не так как сейчас: при команде "Полилиния" выводит таблицу в Exel, а при команде "Точка" таблицу в AutoCAD).
Просто мне эта таблица нужна в записке, а не на листе.
Ну в принцыпе программка очень устраивает,
а поставленную мною задачу можно решить как-нибудь через "сторонние" способы.
Вложения
Тип файла: dwg
DWG 2004
2008-08-27_Drawing1.dwg (62.0 Кб, 2828 просмотров)

Последний раз редактировалось mvz, 27.08.2008 в 11:45.
mvz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 12:53
#22
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,543
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


mvz, Формируешь таблицу на листе, а затем переводишь в Excel
Функция экспорта данных из таблиц «нарисованых» примитивами, из Autocad в Excel, версия: 0.95
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 13:09
#23
mvz

Генпланист, AutoCad 2009 Eng
 
Регистрация: 26.06.2008
Москва
Сообщений: 24


У меня почему-то не получается.
Вообще-то в LISPe я "0".
Попробовал открыть его как *.txt..., почитал...,
попробовал ввести в AutoCAD в командную строку,
например, команду (как я понял это команда?) PL:SetD.
И ничего.
Может что-то неправильно делаю?
Пользуюсь AutoCAD 2009 eng.
mvz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 13:42
#24
Солидворкер
Moderator

Конструктор (машиностроение)
 
Регистрация: 23.10.2006
Россия
Сообщений: 20,461
Отправить сообщение для Солидворкер с помощью ICQ


mvz, а для кого VVA старался?
Солидворкер вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 13:51
#25
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,543
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


mvz, По ссылочке почитай обязательно. У меня готов черновичек на основе COORT. Там маркером (номером) вершины служит ближайший к вершине текст. Только выводятся номер и координаты X,Y,Z. Осталось вычислить дир. угол и расстояние. Своим блокам можещь сделать burst и получить итоговую таблицу. Код пока в работе, так что пока #22.
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 13:57
#26
mvz

Генпланист, AutoCad 2009 Eng
 
Регистрация: 26.06.2008
Москва
Сообщений: 24


Спасибо VVA за ответы и подробную инструкцию.
Без него бы я и не понял бы как "ноги" этому LISPу приделать ).
Я читал его инструкцию до Вашего Солидворкер сообщения, но ...
там написано что "Команде всегда предшествует префикс C: после слова defun.", а коде который я скачал "(defun PL:SetD (SYM VAL / _UserDict _TMP)".
Я пробовал вставлять команду SetD и т.д.
Не получается.
Извините, если туплю...
mvz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 14:09
#27
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,543
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


mvz, Найди в этом файле строчку, в которой содержится C: (регистр не имеет значения). И если слово перед C: - defun, то это то что тебе нужно.
Но в данном случае тебе это делать нет необходимости. Загрузи pl_export-to-excel.LSP или pl_export-to-excel.LSP файл в Автокад, нажми F2 и читай командную строку. Там все по-русски написано.
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 14:33
#28
mvz

Генпланист, AutoCad 2009 Eng
 
Регистрация: 26.06.2008
Москва
Сообщений: 24


Спасибо!
Я всё таки ступил и по ссылке скачал не то (Набор функций для хранения данных в словарях, версия: 0.95).
Сейчас скачать всё что надо всё заработало, вопросов нет ).
Спасибо ещё раз. Очень помогли.

P.S. Вопрос не по теме:
А возможно ли сделать (или она есть уже стандартная) сноску вот такого вида?
Миниатюры
Нажмите на изображение для увеличения
Название: Сноска.tif
Просмотров: 329
Размер:	133.6 Кб
ID:	9610  
mvz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 15:11
#29
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,543
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


mvz, Можно. Вариант отсюда без "N=" "E=":
Код:
[Выделить все]
(defun C:NE ( / p1 p2)
;;На основе _kpblc-draw-leader
(defun _addleader (up-string low-string   start-point end-point /   lead_obj ann_obj point-list)
  ;; Прежде всего преобразовываем low-string в строковый вид:
  (if (not low-string)(setq low-string "")) ;_ end of if
  (setq point-list (apply 'append (list start-point end-point)))  
  ;; Теперь собственно выполнение выноски.
  (setq   ann_obj    (vla-addmtext
         (if (and (zerop (vla-get-activespace (vla-get-activedocument (vlax-get-acad-object))))
           (= :vlax-false (vla-get-mspace (vla-get-activedocument (vlax-get-acad-object)))))
    (vla-get-paperspace (vla-get-activedocument (vlax-get-acad-object)))
    (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
         (vlax-3d-point end-point)
         0         ; устанавливается ширина именно 0, для нормального получения полки
         (if (/= low-string "")(strcat up-string "\\P" low-string) up-string))
   lead_obj (vla-addleader
        (if (and (zerop (vla-get-activespace (vla-get-activedocument (vlax-get-acad-object))))
           (= :vlax-false (vla-get-mspace (vla-get-activedocument (vlax-get-acad-object)))))
    (vla-get-paperspace (vla-get-activedocument (vlax-get-acad-object)))
    (vla-get-modelspace (vla-get-activedocument (vlax-get-acad-object))))
        (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbdouble
             (cons 0 (1- (length point-list)))) point-list)) ann_obj  acLineNoArrow) ;_ end of vla-AddLeader
   ) ;_ end of setq
  (vla-put-Rotation ann_obj (angle '(0 0 0)(getvar "UCSXDIR")))
  ;; Меняем настройки будущей аннотации:
 ; (vla-put-height ann_obj (* 1 (getvar "dimscale")))
  (vla-put-attachmentpoint ann_obj
    ;; Назначая точку выравнивания, будем использовать числовые значения:
    ;; acAttachmentPointBottomLeft   ->   7
    ;; acAttachmentPointBottomRight   ->   9
    ;; acAttachmentPointMiddleLeft   ->   4
    ;; acAttachmentPointMiddleRight   ->   6
    (+ 4 (if (> (car end-point) (car start-point)) ; выноска вправо, точка — влево
       0  2) ;_ end of if
       (if (/= low-string "")      ; нижняя строка есть, выр. — по  центру
           0 3) ;_ end of if
       ) ;_ end of +
    ) ;_ end of vla-put-AttachmentPoint
  (vla-put-insertionpoint ann_obj (vlax-3d-point end-point))
  ;; Теперь модицифируем собственно выноску
  (vla-put-verticaltextposition lead_obj acOutside)
  (vla-put-ArrowheadSize lead_obj 0.5)
  ;; В принципе, строка ниже не требуется — так, для страховки.
  (vla-put-coordinate lead_obj 1 (vlax-3d-point end-point)) lead_obj)
  (vl-load-com)
  
  (initget 1)
  (setq p1 (getpoint "\nТочка: "))
  (initget 1)
  (setq p2 (getpoint p1 "\nНаправление выноски: "))
  (setq p1 (trans p1 1 0)
  p2 (trans p2 1 0))
  (_addleader
    (rtos (nth 1 p1) 2 2) ;_ТОчность округления
    (rtos (nth 0 p1) 2 2) ;_ТОчность округления
    p1 p2)(princ))
(princ "\nНаберите в командной строке NE")
__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 23.04.2014 в 13:39. Причина: актуальный url
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 15:13
#30
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,543
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


*** Добавлено
Еще ссылочка
http://dwg.ru/f/showthread.php?t=14385
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 27.08.2008, 15:16
#31
mvz

Генпланист, AutoCad 2009 Eng
 
Регистрация: 26.06.2008
Москва
Сообщений: 24


Спасибо огромное VVA!
Почитаю ).
mvz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 20.09.2010, 15:08
#32
Агент СмиТ

Gti
 
Регистрация: 14.01.2010
МО Железнодорожный
Сообщений: 115


Цитата:
Сообщение от DonJad Посмотреть сообщение
Гы, пишу чаз програмку, делает следующее

Из акада берет поли линию и по полученным данным

Строит ряд таблиц, плюс функции для автоматизации ряда специфичных для зем дела моментов.

Данные можно редактировать, задавать определенный тип каждой точке, подписывать точки, границы, добавлять удалять. чистить.
Полученное сохранять в формате программы, или кидать обратно в автокад.

Ну и самый простой вариант работы, на картинке.

В принципе могу добавать и геодезическую таблицу, только где взять ее спецификации?

Правда не раньше чем через месяц. Сегодня в отпуск уезжаю.
[ATTACH]1184933998.jpg[/ATTACH]
Уважаемый DonJad! Я понимаю, что со времени написания вами поста прошло некоторое время... но очень интересно, закончили ли вы работу над своей программой?
Агент СмиТ вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.11.2012, 21:19
#33
Yelena


 
Регистрация: 11.11.2012
Сообщений: 1


Спасибо огромное за lisp!
Yelena вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.11.2012, 13:10
#34
Иван Павлов


 
Регистрация: 14.11.2012
Сообщений: 13


Добрый день!
Схожая проблема, но конечного решения, так и не нашел.
Итак: Есть замкнутая полилиния, из которой нам необходимо получить табличку с
расстоянием между точек, азимутом, и координатами. Есть какие то программы
позволяющие автоматизировать процесс заполнения таблицы??
Миниатюры
Нажмите на изображение для увеличения
Название: таблица.jpg
Просмотров: 157
Размер:	133.0 Кб
ID:	90371  
Иван Павлов вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.11.2012, 13:54
1 | #35
sertor

Геодезист
 
Регистрация: 23.05.2012
Ухта
Сообщений: 1,266


Цитата:
Сообщение от Иван Павлов Посмотреть сообщение
Есть замкнутая полилиния, из которой нам необходимо получить табличку с
расстоянием между точек, азимутом, и координатами. Есть какие то программы
позволяющие автоматизировать процесс заполнения таблицы??
Попробуйте этот лисп, может устроит.
Вложения
Тип файла: lsp geo.lsp (13.9 Кб, 165 просмотров)
__________________
Как-то так.
sertor вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 14.11.2012, 15:21
#36
VVA

Инженер LISP
 
Регистрация: 11.05.2005
Минск
Сообщений: 6,543
Отправить сообщение для VVA с помощью ICQ Отправить сообщение для VVA с помощью Skype™


похожая тема http://www.cadtutor.net/forum/showth...tes-into-table
__________________
Как использовать код на Лиспе читаем здесь
VVA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 22.11.2012, 15:40
#37
Иван Павлов


 
Регистрация: 14.11.2012
Сообщений: 13


Цитата:
Сообщение от sertor Посмотреть сообщение
Попробуйте этот лисп, может устроит.
Да это то, что надо!! Спасибо огромное.
За пару дней использования данного лиспа, накопились вопросы и пожелания.
Но самых главных проблем две:
1. При выборе полилинии, удобнее получать табличку с результатами в автокад, а не в эксель. (так же как при указании точек в ручную).
2. что нужно изменить, что бы можно было указывать номер начальной точки?
Есть соображения по этому поводу?
Иван Павлов вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.11.2012, 10:22
#38
Иван Павлов


 
Регистрация: 14.11.2012
Сообщений: 13


И еще одна мучительная проблема: Эксель делает автозамену числовых значений на дату..
Отключил всю автозамену, не помогает.
Остается два варианта:
1. Изменить разделитель"." на ","
2. Менять формат ячеек, до экспорта данных.
Но каким образом этого добиться не понимаю.
Может у кого-то были схожие проблемы?
Иван Павлов вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.11.2012, 22:48
#39
Олег (jr.)

специалист по околачиванию грушевых деревьев
 
Регистрация: 14.09.2004
Pietari, Venäjä
Сообщений: 813


Попробуй водить данные с одиночной кавычкой спереди типа:
'123.456
Олег (jr.) вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 01.12.2012, 16:32
#40
Иван Павлов


 
Регистрация: 14.11.2012
Сообщений: 13


Цитата:
Сообщение от Олег (jr.) Посмотреть сообщение
Попробуй водить данные с одиночной кавычкой спереди типа:
'123.456
Спасибо за совет, но я не ввожу данные вручную! мои данные загружаются в эксель автоматом из лиспа!! а результат к сожалению не читаемый.
Иван Павлов вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Как получить геодезическую таблицу?

 VetCAD++
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||